resource_rules:
  issues:
    rules:
      - name: End of release refinement
        conditions:
          # Make sure we have at least one closed issue at 12.4
          # so it can generate a summary. (no issue no summary!)
          # This: https://gitlab.com/gitlab-org/plan/issues/10
          state: closed
          milestone: '12.4'
        limits:
          most_recent: 1
        actions:
          summarize:
            title: |
              #{Date.today.iso8601} - end of release refinement
            summary: |
              The current release is nearly over. We should look at
              https://gitlab.com/groups/gitlab-org/-/boards/1226305?not%5Blabel_name%5D%5B%5D=workflow%3A%3Adesign and:

              1. Review anything in ~"workflow::ready for development"
                 and leftwards, moving to future milestones or the
                 backlog as appropriate.
              2. Review ~"workflow::blocked" issues to ensure there is a
                 clear path to being unblocked.
              3. Review issues in upcoming milestone. Consider adding the
                 ~Deliverable label to everything in ~"workflow::ready for
                 development" and rightwards, and ~Stretch to everything in
                 ~"workflow::planning breakdown" and leftwards.

              /assign @donaldcook @kushalpandya @johnhope
              /due #{(Date.today + 7).iso8601}
              /label ~"Plan stage refinement"
